import * as types from "../constants/actionTypes";

const initState = {
	user: null,
	isFetching: false,
	error: null
};

export default (state = initState, { type, payload }) => {
	switch (type) {
		case types.AUTH: {
			return {
				...state,
				isFetching: true
			};
		}
		case types.AUTH_SUCCESS: {
			console.log("AUTH_SUCCESS", payload);
			return {
				...state,
				isFetching: false
			};
		}
		case types.AUTH_FAIL: {
			return {
				...state,
				isFetching: false
			};
		}

		default:
			return state;
	}
};
